﻿@model IEnumerable<DustinReporting.Data.Models.DetailedEventReport>

@{
    Layout = "~/Views/Shared/_SideBarLayout.cshtml";
}
<style type="text/css">
    .webgrid-header, .webgrid-header a {
        color: black;
    }
</style>

<form>
    <div class="container view-page-con">
        <div class="panel" style="padding:30px; margin-top:30px;">

            <div class="row">
                <div class="col-md-4">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Company Name</label>
                        </div>
                        <div class="col-md-8">
                            <input type="text" name="company" placeholder="Company Name" class="form-control" />
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Project Name</label>
                        </div>
                        <div class="col-md-8">
                            <input type="text" name="project" placeholder="Project Name" class="form-control" />
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Date From</label>
                        </div>
                        <div class="col-md-8">
                            <input type="date" name="datefrom" placeholder="Date From" class="form-control datepicker" />
                        </div>
                    </div>
                </div>
                <br />
                <br />
                <div class="col-md-4">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Date To</label>
                        </div>
                        <div class="col-md-8">
                            <input type="date" name="dateto" placeholder="Date To"  class="form-control datepicker">
                        </div>
                    </div>
                </div>
            </div>
            <div class="text-right" style="padding-top:20px;">
                <button class="btn btn-success" type="submit">Submit</button>
                <input type="button" class="btn btn-info" value="Let's Go To List!" onclick="location.href='@Url.Action("ViewUser", "UserProfile")'" />
            </div>
        </div>
    </div>
</form>
<div>
    <div>
        <h3>Detailed Event Report</h3>
        <div>
            <div>
                
                
            </div>

            <div class="table-responsive">
                @{
                    var grid = new WebGrid(Model, canPage: true, rowsPerPage: 20);
                }
                <div id="gridContent" class="table-responsive">
                    @grid.GetHtml(
            tableStyle: "table",
            headerStyle: "webgrid-header",
            mode: WebGridPagerModes.All,
            columns:
            grid.Columns(
                                    //grid.Column(header: "S.N", format: item => item.WebGrid.Rows.IndexOf(item) + 1 + Math.Round(Convert.ToDouble(grid.TotalRowCount / grid.PageCount) / grid.RowsPerPage) * grid.RowsPerPage * grid.PageIndex),
                                    grid.Column("System Id", format: @<text>  <span class="display-mode">@item.SystemId </span>  </text>, style: "col2WidthStaffNo"),
                                    grid.Column("SurName", format: @<text>  <span class="display-mode">@item.Surname </span>  </text>, style: "col2WidthStaffNo"),
                                    grid.Column("First Name", format: @<text>  <span class="display-mode"> @item.FirstNames </span>  </text>, style: "col1Width"),
                    grid.Column("Date", format: @<text>  <span class="display-mode">@item.Datetime </span>  </text>, style: ".col3Width"),
                                    @*grid.Column("Date", format: @<text>  <span class="display-mode">@item.Datetime.ToString("MM/dd/yyyy")  </span>  </text>, style: ".col3Width"),*@
                                    grid.Column("Time", format: @<text>  <span class="display-mode">@item.Time  </span>  </text>, style: ".col3Width"),
                                    grid.Column("Event Duration", format: @<text>  <span class="display-mode">@item.EventDuration  </span>  </text>, style: ".col3Width"),
                                    grid.Column("Sensor Status", format: @<text>  <span class="display-mode">@item.SensorStatus  </span>  </text>, style: ".col3Width"),
                                    grid.Column("Company", format: @<text>  <span class="display-mode">@item.Company  </span>  </text>, style: ".col3Width"),
                                    grid.Column("Apparel Type", format: @<text>  <span class="display-mode">@item.ApparelType  </span>  </text>, style: ".col3Width"),
                                    grid.Column("Project Team", format: @<text>  <span class="display-mode">@item.ProjectTeam  </span>  </text>, style: ".col3Width"),
                                    grid.Column("EquipmentType", format: @<text>  <span class="display-mode">@item.EquipmentType  </span>  </text>, style: ".col3Width"),
                                    grid.Column("OperatorName", format: @<text>  <span class="display-mode">@item.OperatorName  </span>  </text>, style: ".col3Width"),
                                    grid.Column("Position", format: @<text>  <span class="display-mode">@item.Position  </span>  </text>, style: ".col3Width"),
                                    grid.Column("Supervisor", format: @<text>  <span class="display-mode">@item.Supervisor  </span>  </text>, style: ".col3Width"),
                                    grid.Column("ApperalUniqueId", format: @<text>  <span class="display-mode">@item.ApparelUniqueId  </span>  </text>, style: ".col3Width")



        @*grid.Column("Action", format: @<text>

            </text>, canSort: false*@

        ))
</div>
            </div>



            <div class="export-links">
                <ul class="list-inline list-unstyled">
                    <li>@Html.ActionLink("Export to Excel", "ExportDetailedEventListToExcel", new { })</li>
                    <li>@Html.ActionLink("Export to PDF", "ExportDetailedEventToPdf", new { })</li>
                </ul>
            </div>

        </div>
    </div>
</div>


@section scripts{
    <script src="/Scripts/jquery-1.10.2.min.js"></script>
    <script type="text/javascript">


            $(function() {
                $('.form-control datepicker').datetimepicker({
                    format: 'MM-DD-YYYY'
                });
            });
            $(function () {
                $('.form-control datepicker').datetimepicker({
                    format: 'MM-DD-YYYY'
                });
            });

    </script>
}
